
* {
	margin: 0;
	padding: 0;
	background-origin: border-box;
}

.flex-container {
	background-color: lightgray;
	height: 500px;
	padding:  20px;

	display: flex;

/* flex properties */
	/* justify-content:  only works with display flex*/
	/*justify-content: flex-start; 
*/ /*default*/
	/*justify-content: center;*/
	/*justify-content:  flex-end;*/
	/*justify-content: space-between;*/
	/*justify-content: space-around;*/
	/*justify-content: space-evenly;*/

/*flex-direction: value;*/
	/*flex-direction: column-reverse;*/
	/*flex-direction: row; *//*default*/

/*align-items:  value*/
	/*align-items: stretch /*default*/
	/*align-items: flex-start;*/
	align-items: center;
	/*align-items: flex-end;*/

/*flex-wrap:  value*/
	/*flex-wrap: wrap;*/
	/*flex-wrap: nowrap;*/ /*defualt*/
	flex-wrap: wrap-reverse;

/*align-content:  value*/
	/*align-content: center;*/
	/*align-content: flex-start;*/
	align-content: flex-end;
}

.flex-container p {
	background-color: lightblue;
	margin: 10px;
	border: 5px solid darkred;
	padding:  20px;
	font-size:  25px;
	width: 150px;
}


